CommandLineLinkerConfiguration (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.compiler.CommandLineLinkerConfiguration class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.compiler
Class CommandLineLinkerConfiguration

    java.lang.Object
      net.sf.antcontrib.cpptasks.compiler.CommandLineLinkerConfiguration

All Implemented Interfaces:
  LinkerConfiguration, ProcessorConfiguration

    public final class CommandLineLinkerConfiguration

extends java.lang.Object
implements LinkerConfiguration

A configuration for a command line linker

Author:
  Curt Arnold

Constructor Summary
`CommandLineLinkerConfiguration(CommandLineLinker linker, java.lang.String identifier, java.lang.String[][] args, ProcessorParam[] params, boolean rebuild, boolean map, boolean debug, java.lang.String[] libraryNames, java.lang.String startupObject)`

Method Summary
`int` | `bid(java.lang.String filename)` An indication of how much this compiler would like to process this file
`java.lang.String[]` | `getEndArguments()`
`java.lang.String` | `getIdentifier()` Returns a string representation of this configuration.
`java.lang.String[]` | `getLibraryNames()`
`Linker` | `getLinker()`
`boolean` | `getMap()`
`java.lang.String[]` | `getOutputFileNames(java.lang.String inputFile, VersionInfo versionInfo)` Output file name (no path components) corresponding to source file
`LinkerParam` | `getParam(java.lang.String name)`
`ProcessorParam[]` | `getParams()`
`java.lang.String[]` | `getPreArguments()`
`boolean` | `getRebuild()` If true, all files using this configuration should be rebuilt and any existing output files should be ignored
`java.lang.String` | `getStartupObject()`
`boolean` | `isDebug()`
`void` | `link(CCTask task, TargetInfo linkTarget)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommandLineLinkerConfiguration

    public CommandLineLinkerConfiguration(CommandLineLinker linker,
                                          java.lang.String identifier,
                                          java.lang.String[][] args,
                                          ProcessorParam[] params,
                                          boolean rebuild,
                                          boolean map,
                                          boolean debug,
                                          java.lang.String[] libraryNames,
                                          java.lang.String startupObject)

Method Detail

### bid

    public int bid(java.lang.String filename)

  Description copied from interface: `ProcessorConfiguration`
  An indication of how much this compiler would like to process this file

  Specified by:
    `bid` in interface `ProcessorConfiguration`
  Returns:
    0 is no interest to process, 100 is strong interest to process

### getEndArguments

    public java.lang.String[] getEndArguments()

### getIdentifier

    public java.lang.String getIdentifier()

  Returns a string representation of this configuration. Should be canonical so that equivalent configurations will have equivalent string representations

  Specified by:
    `getIdentifier` in interface `ProcessorConfiguration`

### getLibraryNames

    public java.lang.String[] getLibraryNames()

### getMap

    public boolean getMap()

### getOutputFileNames

    public java.lang.String[] getOutputFileNames(java.lang.String inputFile,
                                                 VersionInfo versionInfo)

  Description copied from interface: `ProcessorConfiguration`
  Output file name (no path components) corresponding to source file

  Specified by:
    `getOutputFileNames` in interface `ProcessorConfiguration`
  Parameters:
    `inputFile` - input file
  Returns:
    output file names or zero-length array if no output file or name not determined by input file

### getParam

    public LinkerParam getParam(java.lang.String name)

  Specified by:
    `getParam` in interface `LinkerConfiguration`

### getParams

    public ProcessorParam[] getParams()

  Specified by:
    `getParams` in interface `ProcessorConfiguration`

### getPreArguments

    public java.lang.String[] getPreArguments()

### getRebuild

    public boolean getRebuild()

  Description copied from interface: `ProcessorConfiguration`
  If true, all files using this configuration should be rebuilt and any existing output files should be ignored

  Specified by:
    `getRebuild` in interface `ProcessorConfiguration`

### getStartupObject

    public java.lang.String getStartupObject()

### link

    public void link(CCTask task,
                     TargetInfo linkTarget)
              throws org.apache.tools.ant.BuildException

  Specified by:
    `link` in interface `LinkerConfiguration`
  Throws:
    `org.apache.tools.ant.BuildException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getLinker

    public Linker getLinker()

  Specified by:
    `getLinker` in interface `LinkerConfiguration`

### isDebug

    public boolean isDebug()

  Specified by:
    `isDebug` in interface `LinkerConfiguration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.